### Enumeration

# Adw Easing

#### Declaration

    enum Adw.Easing

#### Description [src]

Describes the available easing functions for use with `AdwTimedAnimation`.

New values may be added to this enumeration over time.

Available since: | 1.0

#### Members

Name | Description
--- | ---
`ADW_LINEAR` | Linear tweening.
`ADW_EASE_IN_QUAD` | Quadratic tweening.
`ADW_EASE_OUT_QUAD` | Quadratic tweening, inverse of `ADW_EASE_IN_QUAD`.
`ADW_EASE_IN_OUT_QUAD` | Quadratic tweening, combining `ADW_EASE_IN_QUAD` and `ADW_EASE_OUT_QUAD`.
`ADW_EASE_IN_CUBIC` | Cubic tweening.
`ADW_EASE_OUT_CUBIC` | Cubic tweening, inverse of `ADW_EASE_IN_CUBIC`.
`ADW_EASE_IN_OUT_CUBIC` | Cubic tweening, combining `ADW_EASE_IN_CUBIC` and `ADW_EASE_OUT_CUBIC`.
`ADW_EASE_IN_QUART` | Quartic tweening.
`ADW_EASE_OUT_QUART` | Quartic tweening, inverse of `ADW_EASE_IN_QUART`.
`ADW_EASE_IN_OUT_QUART` | Quartic tweening, combining `ADW_EASE_IN_QUART` and `ADW_EASE_OUT_QUART`.
`ADW_EASE_IN_QUINT` | Quintic tweening.
`ADW_EASE_OUT_QUINT` | Quintic tweening, inverse of `ADW_EASE_IN_QUINT`.
`ADW_EASE_IN_OUT_QUINT` | Quintic tweening, combining `ADW_EASE_IN_QUINT` and `ADW_EASE_OUT_QUINT`.
`ADW_EASE_IN_SINE` | Sine wave tweening.
`ADW_EASE_OUT_SINE` | Sine wave tweening, inverse of `ADW_EASE_IN_SINE`.
`ADW_EASE_IN_OUT_SINE` | Sine wave tweening, combining `ADW_EASE_IN_SINE` and `ADW_EASE_OUT_SINE`.
`ADW_EASE_IN_EXPO` | Exponential tweening.
`ADW_EASE_OUT_EXPO` | Exponential tweening, inverse of `ADW_EASE_IN_EXPO`.
`ADW_EASE_IN_OUT_EXPO` | Exponential tweening, combining `ADW_EASE_IN_EXPO` and `ADW_EASE_OUT_EXPO`.
`ADW_EASE_IN_CIRC` | Circular tweening.
`ADW_EASE_OUT_CIRC` | Circular tweening, inverse of `ADW_EASE_IN_CIRC`.
`ADW_EASE_IN_OUT_CIRC` | Circular tweening, combining `ADW_EASE_IN_CIRC` and `ADW_EASE_OUT_CIRC`.
`ADW_EASE_IN_ELASTIC` | Elastic tweening, with offshoot on start.
`ADW_EASE_OUT_ELASTIC` | Elastic tweening, with offshoot on end, inverse of `ADW_EASE_IN_ELASTIC`.
`ADW_EASE_IN_OUT_ELASTIC` | Elastic tweening, with offshoot on both ends, combining `ADW_EASE_IN_ELASTIC` and `ADW_EASE_OUT_ELASTIC`.
`ADW_EASE_IN_BACK` | Overshooting cubic tweening, with backtracking on start.
`ADW_EASE_OUT_BACK` | Overshooting cubic tweening, with backtracking on end, inverse of `ADW_EASE_IN_BACK`.
`ADW_EASE_IN_OUT_BACK` | Overshooting cubic tweening, with backtracking on both ends, combining `ADW_EASE_IN_BACK` and `ADW_EASE_OUT_BACK`.
`ADW_EASE_IN_BOUNCE` | Exponentially decaying parabolic (bounce) tweening, on start.
`ADW_EASE_OUT_BOUNCE` | Exponentially decaying parabolic (bounce) tweening, with bounce on end, inverse of `ADW_EASE_IN_BOUNCE`.
`ADW_EASE_IN_OUT_BOUNCE` | Exponentially decaying parabolic (bounce) tweening, with bounce on both ends, combining `ADW_EASE_IN_BOUNCE` and `ADW_EASE_OUT_BOUNCE`.

#### Type functions

###### adw_easing_ease

Computes easing with `easing` for `value`.

Available since: 1.0